package org.kantega.jexmec.events;

/*
 * Copyright 2011 Kantega AS
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.kantega.jexmec.PluginLoader;

/**
 * A plugin loading exception event.
 *
 * @param <P> the plugin type
 */
public interface PluginLoadingExceptionEvent<P> extends PluginClassLoaderEvent<P> {
    /**
     * Returns the plugin loader throwing the exception
     *
     * @return the plugin loader
     */
    PluginLoader<P> getPluginLoader();

    /**
     * Returns the throwable thrown by the plugin loader
     *
     * @return the throwable
     */
    Throwable getThrowable();

}
